Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.functions
Enum Type0Function.InterpolationOrderEnum

    java.lang.Object
      java.lang.Enum<Type0Function.InterpolationOrderEnum>
          org.pdfclown.documents.functions.Type0Function.InterpolationOrderEnum

All Implemented Interfaces:
  Serializable, Comparable<Type0Function.InterpolationOrderEnum>

Enclosing class:
  Type0Function

    public static enum Type0Function.InterpolationOrderEnum

extends Enum<Type0Function.InterpolationOrderEnum>

Enum Constant Summary
`Cubic` Cubic spline interpolation.
`Linear` Linear spline interpolation.

Method Summary
`static Type0Function.InterpolationOrderEnum` | `get(int code)`
`int` | `getCode()`
`static Type0Function.InterpolationOrderEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Type0Function.InterpolationOrderEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Linear

    public static final Type0Function.InterpolationOrderEnum Linear

  Linear spline interpolation.

### Cubic

    public static final Type0Function.InterpolationOrderEnum Cubic

  Cubic spline interpolation.

Method Detail

### values

    public static Type0Function.InterpolationOrderEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Type0Function.InterpolationOrderEnum c : Type0Function.InterpolationOrderEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Type0Function.InterpolationOrderEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static Type0Function.InterpolationOrderEnum get(int code)

### getCode

    public int getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.